unit Main1;  //(Jakub Hrn 35)

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ExtCtrls, Grids;

type
  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Soubor1: TMenuItem;
    Nast1: TMenuItem;
    Konec1: TMenuItem;
    OpenDialog1: TOpenDialog;
    Memo1: TMemo;
    Label1: TLabel;
    Memo2: TMemo;
    Image1: TImage;
    procedure Konec1Click(Sender: TObject);
    procedure Nast1Click(Sender: TObject);
  private
    { Private declarations }
  public
    procedure napiston(ton:string);
  end;

var
  Form1: TForm1;
  kurzor:integer;
  doba,takt:real;

implementation

{$R *.dfm}

procedure TForm1.Konec1Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.Nast1Click(Sender: TObject);
var
  i:integer;
  ton:string;
begin
  OpenDialog1.Filter:='*.txt';
  if OpenDialog1.Execute then begin
    Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
    Label1.Caption:='Skladba: ' + OpenDialog1.FileName;
    if (Memo1.Lines[0]='3/4') or (Memo1.Lines[0]='4/4') or (Memo1.Lines[0]='5/4') then begin
      Image1.Canvas.Rectangle(0,0,Width,Height);
      Kurzor:=0;
      takt:=strtoint(Memo1.Lines[0][1]);
      napiston('klic');
      ton:=Memo1.Lines[0][1];
      doba:=0;
      napiston(ton);
      For i:=1 to Memo1.Lines.Count-1 do begin
        ton:=Memo1.Lines[i];
        napiston(ton);
      end;
    end else begin
      Memo1.Lines.Clear;
      Label1.Caption:='Skladba: ';
      Kurzor:=0;
      ShowMessage('patn formt souboru!');
    end;
  End;
end;
//-----------------------------------------------------------------------------------------------------
procedure TForm1.napiston(ton:string);
var
  radek,znak,i,pocetr,pocetz:integer;
  vyska,delka:string;
  hotovo:boolean;
begin
  with Image1.Canvas do begin
    Pen.Color:=BLACK_PEN;
    Pen.Width:=1;
    for i:=0 to 4 do begin
      MoveTo(kurzor,13+i*6);
      LineTo(8+kurzor,13+i*6);
    end;
  end;
  kurzor:=kurzor+8;
  if doba=takt then begin
    with Image1.Canvas do begin
      Pen.Color:=BLACK_PEN;
      Pen.Width:=1;
      MoveTo(kurzor,13);
      lineTo(kurzor,37);
      doba:=0;
      for i:=0 to 4 do begin
        MoveTo(kurzor,13+i*6);
        LineTo(8+kurzor,13+i*6);
      end;
    end;
    kurzor:=kurzor+8;
  end;
  if ton='klic' then begin
    Memo2.Lines.LoadFromFile('c:\Z35\images\klic.txt');
    pocetr:=Memo2.Lines.Count;
    pocetz:=length(Memo2.Lines[1]);
    with Image1.Canvas do begin
      for radek:=1 to pocetr-1 do begin
        for znak:=1 to pocetz do begin
          if Memo2.Lines[radek][znak]='@' then begin
            MoveTo(kurzor+znak-1,radek);
            LineTo(kurzor+znak,radek);
          end;
        end;
      end;
      for i:=0 to 4 do begin
        MoveTo(kurzor,13+i*6);
        LineTo(pocetz+kurzor,13+i*6);
      end;
    end;
    kurzor:=kurzor+pocetz;
    exit;
  end;
  if ton='3' then begin
    Memo2.Lines.LoadFromFile('c:\Z35\images\takt_3.txt');
    pocetr:=Memo2.Lines.Count;
    pocetz:=length(Memo2.Lines[1]);
    with Image1.Canvas do begin
      for radek:=1 to pocetr-1 do begin
        for znak:=1 to pocetz do begin
          if Memo2.Lines[radek][znak]='@' then begin
            MoveTo(kurzor+znak-1,radek+13);
            LineTo(kurzor+znak,radek+13);
          end;
        end;
      end;
      for i:=0 to 4 do begin
        MoveTo(kurzor,13+i*6);
        LineTo(pocetz+kurzor,13+i*6);
      end;
    end;
    kurzor:=kurzor+pocetz;
    exit;
  end;
  if ton='4' then begin
    Memo2.Lines.LoadFromFile('c:\Z35\images\takt_4.txt');
    pocetr:=Memo2.Lines.Count;
    pocetz:=length(Memo2.Lines[1]);
    with Image1.Canvas do begin
      for radek:=1 to pocetr-1 do begin
        for znak:=1 to pocetz do begin
          if Memo2.Lines[radek][znak]='@' then begin
            MoveTo(kurzor+znak-1,radek+13);
            LineTo(kurzor+znak,radek+13);
          end;
        end;
      end;
      for i:=0 to 4 do begin
        MoveTo(kurzor,13+i*6);
        LineTo(pocetz+kurzor,13+i*6);
      end;
    end;
    kurzor:=kurzor+pocetz;
    exit;
  end;
  if ton='5' then begin
    Memo2.Lines.LoadFromFile('c:\Z35\images\takt_5.txt');
    pocetr:=Memo2.Lines.Count;
    pocetz:=length(Memo2.Lines[1]);
    with Image1.Canvas do begin
      for radek:=1 to pocetr-1 do begin
        for znak:=1 to pocetz do begin
          if Memo2.Lines[radek][znak]='@' then begin
            MoveTo(kurzor+znak-1,radek+13);
            LineTo(kurzor+znak,radek+13);
          end;
        end;
      end;
      for i:=0 to 4 do begin
        MoveTo(kurzor,13+i*6);
        LineTo(pocetz+kurzor,13+i*6);
      end;
    end;
    kurzor:=kurzor+pocetz;
    exit;
  end;
//-----------------------------------------------------------------------------------------------------
  vyska:='';
  delka:='';
  hotovo:=false;
  for i:= 1 to Length(ton) do begin
    if not hotovo then begin
      if (ton<>' ') and not (ton[i] in ['0'..'9']) then vyska:=vyska+ton[i]
      else begin
        delka:=(copy(ton,i,length(ton)-i+1));
        hotovo:=true;
      end;
    end;
  end;
  if vyska='pomlka ' then begin
    if (delka='0.5') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_0.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+19);
              LineTo(kurzor+znak,radek+19);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+0.5;
      exit;
    end;
    if (delka='1') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_1.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+15);
              LineTo(kurzor+znak,radek+15);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+1;
      exit;
    end;
    if (delka='1.5') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_1.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+15);
              LineTo(kurzor+znak,radek+15);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+1.5;
      exit;
    end;
    if (delka='2') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_2.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+21);
              LineTo(kurzor+znak,radek+21);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+2;
      exit;
    end;

    if (delka='3') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_2.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+15);
              LineTo(kurzor+znak,radek+15);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+3;
      exit;
    end;
    if (delka='4') then begin
      Memo2.Lines.LoadFromFile('c:\Z35\images\pomlka_4.txt');
      pocetr:=Memo2.Lines.Count;
      pocetz:=length(Memo2.Lines[1]);
      with Image1.Canvas do begin
        for radek:=1 to pocetr-1 do begin
          for znak:=1 to pocetz do begin
            if Memo2.Lines[radek][znak]='@' then begin
              MoveTo(kurzor+znak-1,radek+24);
              LineTo(kurzor+znak,radek+24);
            end;
          end;
        end;
        for i:=0 to 4 do begin
          MoveTo(kurzor,13+i*6);
          LineTo(pocetz+kurzor,13+i*6);
        end;
      end;
      kurzor:=kurzor+pocetz;
      doba:=doba+4;
      exit;
    end;
  end else begin
//C-----------------------------------------------------------------------------------------------------
    if vyska='C ' then begin
      Image1.Canvas.MoveTo(kurzor-2,43);
      Image1.Canvas.LineTo(kurzor+12,43);
      if delka='0.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_0.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+21);
                LineTo(kurzor+znak,radek+21);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+0.5;
        exit;
      end;
      if delka='1' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+21);
                LineTo(kurzor+znak,radek+21);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1;
        exit;
      end;
      if delka='1.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+21);
                LineTo(kurzor+znak,radek+21);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1.5;
        exit;
      end;
      if delka='2' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+21);
                LineTo(kurzor+znak,radek+21);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+2;
        exit;
      end;
      if delka='3' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+21);
                LineTo(kurzor+znak,radek+21);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+3;
        exit;
      end;
      if delka='4' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_4.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+39);
                LineTo(kurzor+znak,radek+39);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+4;
        exit;
      end;
    end;
D-----------------------------------------------------------------------------------------------------
    if vyska='D ' then begin
      if delka='0.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_0.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+18);
                LineTo(kurzor+znak,radek+18);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+0.5;
        exit;
      end;
      if delka='1' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+18);
                LineTo(kurzor+znak,radek+18);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1;
        exit;
      end;
      if delka='1.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+18);
                LineTo(kurzor+znak,radek+18);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1.5;
        exit;
      end;
      if delka='2' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+18);
                LineTo(kurzor+znak,radek+18);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+2;
        exit;
      end;
      if delka='3' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+18);
                LineTo(kurzor+znak,radek+18);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+3;
        exit;
      end;
      if delka='4' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_4.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+36);
                LineTo(kurzor+znak,radek+36);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+4;
        exit;
      end;
    end;
E-----------------------------------------------------------------------------------------------------
    if vyska='E ' then begin
      if delka='0.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_0.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+15);
                LineTo(kurzor+znak,radek+15);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+0.5;
        exit;
      end;
      if delka='1' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+15);
                LineTo(kurzor+znak,radek+15);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1;
        exit;
      end;
      if delka='1.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+15);
                LineTo(kurzor+znak,radek+15);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1.5;
        exit;
      end;
      if delka='2' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+15);
                LineTo(kurzor+znak,radek+15);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+2;
        exit;
      end;
      if delka='3' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+15);
                LineTo(kurzor+znak,radek+15);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+3;
        exit;
      end;
      if delka='4' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_4.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+33);
                LineTo(kurzor+znak,radek+33);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+4;
        exit;
      end;
    end;
F-----------------------------------------------------------------------------------------------------
    if vyska='F ' then begin
      if delka='0.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_0.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+12);
                LineTo(kurzor+znak,radek+12);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+0.5;
        exit;
      end;
      if delka='1' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+12);
                LineTo(kurzor+znak,radek+12);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1;
        exit;
      end;
      if delka='1.5' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_1.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+12);
                LineTo(kurzor+znak,radek+12);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+1.5;
        exit;
      end;
      if delka='2' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+12);
                LineTo(kurzor+znak,radek+12);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+2;
        exit;
      end;
      if delka='3' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_nahoru_2.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+12);
                LineTo(kurzor+znak,radek+12);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+3;
        exit;
      end;
      if delka='4' then begin
        Memo2.Lines.LoadFromFile('c:\Z35\images\nota_4.txt');
        pocetr:=Memo2.Lines.Count;
        pocetz:=length(Memo2.Lines[1]);
        with Image1.Canvas do begin
          for radek:=1 to pocetr-1 do begin
            for znak:=1 to pocetz do begin
              if Memo2.Lines[radek][znak]='@' then begin
                MoveTo(kurzor+znak-1,radek+30);
                LineTo(kurzor+znak,radek+30);
              end;
            end;
          end;
          for i:=0 to 4 do begin
            MoveTo(kurzor,13+i*6);
            LineTo(pocetz+kurzor,13+i*6);
          end;
        end;
        kurzor:=kurzor+pocetz;
        doba:=doba+4;
        exit;
      end;
    end;
G-----------------------------------------------------------------------------------------------------
  end;
end;

end.
